///////////////////////////////////////////////////////////////////////////////
// Name:		wxAnalogSaat.h
// Purpose:     Analog Clock
// Author:      emarti, Murat zdemir  e-mail: dtemarti<add>gmail<dot>com
// Created:     15.04.2006
// Copyright:   (c) emarti
// Licence:     wxWindows license
///////////////////////////////////////////////////////////////////////////////

#ifndef wxANALOGSAAT_H
#define wxANALOGSAAT_H

#define ID_WXTIMER	999
#define TIMER		1000

#include <wx/datetime.h>
#include <wx/image.h>
#include <wx/math.h>
#include <wx/timer.h>
#include <wx/panel.h>

class wxAnalogSaat : public wxPanel{ 
	public: 
        wxAnalogSaat(wxWindow *parent, wxWindowID id, int x, int y, int handwidth, const wxImage* clockpic);
		virtual ~wxAnalogSaat(); 
		
        void OnPaint(wxPaintEvent& event); 
		void Timer(wxTimerEvent& event);

	private: 
		wxBitmap* m_bitmap;
		wxTimer *WxTimer;
		double x,y,z,xpre;
		bool start;
		int hw, clockpicwidth;

		DECLARE_EVENT_TABLE() 
}; 

#endif

